MD5MD5CRC32GzipFileChecksum (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: MD5MD5CRC32GzipFileChecksum

Package org.apache.hadoop.fs

# Class MD5MD5CRC32GzipFileChecksum

java.lang.Object
org.apache.hadoop.fs.FileChecksum
org.apache.hadoop.fs.MD5MD5CRC32FileChecksum
org.apache.hadoop.fs.MD5MD5CRC32GzipFileChecksum

All Implemented Interfaces:
  `Writable`

public class MD5MD5CRC32GzipFileChecksum extends MD5MD5CRC32FileChecksum
For CRC32 with the Gzip polynomial

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.fs.MD5MD5CRC32FileChecksum

  `LENGTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MD5MD5CRC32GzipFileChecksum()`
  Same as this(0, 0, null)
  `MD5MD5CRC32GzipFileChecksum(int bytesPerCRC, long crcPerBlock, MD5Hash md5)`
  Create a MD5FileChecksum.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataChecksum.Type`
  `getCrcType()`
  returns the CRC type.

  ### Methods inherited from class org.apache.hadoop.fs.MD5MD5CRC32FileChecksum

  `getAlgorithmName, getBytes, getChecksumOpt, getCrcTypeFromAlgorithmName, getLength, readFields, toString, write`

  ### Methods inherited from class org.apache.hadoop.fs.FileChecksum

  `equals, hashCode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MD5MD5CRC32GzipFileChecksum

    public MD5MD5CRC32GzipFileChecksum()
    Same as this(0, 0, null)

  - ### MD5MD5CRC32GzipFileChecksum

    public MD5MD5CRC32GzipFileChecksum(int bytesPerCRC, long crcPerBlock, MD5Hash md5)
    Create a MD5FileChecksum.
    Parameters:
      `bytesPerCRC` - bytesPerCRC.
      `crcPerBlock` - crcPerBlock.
      `md5` - md5.

- ## Method Details

  - ### getCrcType

    public DataChecksum.Type getCrcType()
    Description copied from class: `MD5MD5CRC32FileChecksum`
    returns the CRC type.
    Overrides:
      `getCrcType` in class `MD5MD5CRC32FileChecksum`
    Returns:
      data check sum type.